Bug 130006 - Error in libgcj's swing classes
Error in libgcj's swing classes
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Gary Benson
Depends On:
  Show dependency treegraph
Reported: 2004-08-16 11:46 EDT by Gary Benson
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-16 14:47:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gary Benson 2004-08-16 11:46:22 EDT
Description of problem:
When attempting to compile an ant task that uses swing against libgcj
I get the following error:

42. ERROR in
lash/SplashScreen.java (at line 55)
        JPanel pan = (JPanel) getContentPane();
The method getContentPane() from the type JWindow is not visible

Version-Release number of selected component (if applicable):
Comment 1 Gary Benson 2004-08-16 12:46:09 EDT
Similar errors occur when compiling the swingui component of junit.
Comment 2 Gary Benson 2004-08-17 07:17:54 EDT
Similar errors occur when compiling bcel.
Comment 6 Gary Benson 2004-08-17 10:00:31 EDT
Similar errors occur when compiling antlr.
Comment 7 Bryce McKinlay 2005-03-16 14:47:30 EST
This has been fixed in GCC 4.0:

2003-11-18  Graydon Hoare  <graydon@redhat.com>

        * javax/swing/JLayeredPane.java: Implement.
        * javax/swing/JFrame.java (getContentPane): Make public

Note You need to log in before you can comment on or make changes to this bug.